Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
GETCDP OperationsSince 4.5.0SynchronousAuth Required

QueryCdpPolicy

QueryCdpPolicy

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Succeeded.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The UUID of the CDP policy.

    • nameStringRequired

      The name of the CDP policy.

    • descriptionStringRequired

      The detailed description of the CDP policy.

    • retentionTimePerDayIntegerRequired

      The retention time of the recovery points.

    • recoveryPointPerSecondIntegerRequired

      The retention interval of the recovery points.

    • createDateTimestampRequired

      The time when the CDP policy is created.

    • lastOpDateTimestampRequired

      The time when the CDP policy was last modified.

    • stateCdpPolicyStateRequired

      See state.

      • EnabledCdpPolicyStateRequired

        The CDP policy is enabled.

      • DisabledCdpPolicyStateRequired

        The CDP policy is disabled.

Endpoint

GET/zstack/v1/cdp-backup-storage/policy

/zstack/v1/cdp-backup-storage/policy

Operation ID

QueryCdpPolicy

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cdp-backup-storage/policy' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "MyCdpPolicyName", "description": "MyCdpDescription", "retentionTimePerDay": 7.0, "recoveryPointPerSecond": 5.0 } ] }

Change History

This API has no change history records yet.

View all change history